<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Wen_Biz
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<div class="singular-content-wrap">
				<?php
				while ( have_posts() ) : the_post();

					get_template_part( 'template-parts/content/content', 'single' );

					$prev       = get_previous_post();
					$next       = get_next_post();
					if ( $prev ) {
						$prev_thumb = get_the_post_thumbnail_url( $prev->ID, 'thumbnail' );
					}
					if ( $next ) {
						$next_thumb = get_the_post_thumbnail_url( $next->ID, 'thumbnail' );
					}
					$no_thumb   = trailingslashit( esc_url ( get_template_directory_uri() ) ) . 'images/no-thumb-110x110.jpg';

					if( empty($prev_thumb ) ) {
						$prev_thumb = $no_thumb;
					}

					if( empty($next_thumb ) ) {
						$next_thumb = $no_thumb;
					}

					//the_post_navigation();

                    the_post_navigation( array(
                    	'prev_text' => '<img src="' . esc_url( $prev_thumb )  . '"><span class="screen-reader-text">' . __( 'Previous Post', 'wen-biz' ) . '</span><span aria-hidden="true" class="nav-subtitle">' . __( 'Previous', 'wen-biz' ) . '</span> <span class="nav-title">%title</span>',
                    	'next_text' => '<img src="' . esc_url( $next_thumb )  . '"><span class="screen-reader-text">' . __( 'Next Post', 'wen-biz' ) . '</span><span aria-hidden="true" class="nav-subtitle">' . __( 'Next', 'wen-biz' ) . '</span> <span class="nav-title">%title</span>',
                    ) );


					get_template_part( 'template-parts/content/content', 'comment' );

				endwhile; // End of the loop.
				?>
			</div><!-- .singular-content-wrap -->
		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_sidebar();
get_footer();
