<?php

/**
 * The template for displaying featured posts on the front page
 *
 * @package Wen_Biz
 */
$wen_biz_number        = get_theme_mod('wen_biz_featured_content_number', 3);
$wen_biz_post_list     = array();
$wen_biz_no_of_post    = 0;

$wen_biz_args = array(
	'post_type'           => 'post',
	'ignore_sticky_posts' => 1, // ignore sticky posts.
);

$wen_biz_args['post_type'] = 'page';

for ($i = 1; $i <= $wen_biz_number; $i++) {
	$wen_biz_post_id = '';

	$wen_biz_post_id = get_theme_mod('wen_biz_featured_content_page_' . $i);


	if ($wen_biz_post_id && '' !== $wen_biz_post_id) {
		$wen_biz_post_list = array_merge($wen_biz_post_list, array($wen_biz_post_id));

		$wen_biz_no_of_post++;
	}
}

$wen_biz_args['post__in'] = $wen_biz_post_list;
$wen_biz_args['orderby']  = 'post__in';

if (!$wen_biz_no_of_post) {
	return;
}

$wen_biz_args['posts_per_page'] = $wen_biz_no_of_post;

$wen_biz_loop = new WP_Query($wen_biz_args);

while ($wen_biz_loop->have_posts()) :

	$wen_biz_loop->the_post();

?>
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="hentry-inner">
			<?php
			$thumbnail = 'wen-biz-featured-content'; //Ratio 3:2
			wen_biz_post_thumbnail( $thumbnail );
			?>

			<div class="entry-container">
				<header class="entry-header">
					<?php the_title('<h2 class="entry-title"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h2>'); ?>

					<?php if ('post' === get_post_type()) : ?>
						<div class="entry-meta">
							<?php wen_biz_posted_on(); ?>

						</div><!-- .entry-meta -->
					<?php endif; ?>
				</header>
				
				<?php
					$excerpt = get_the_excerpt();

					echo '<div class="entry-summary">
						<p>' . $excerpt . '</p>
					</div><!-- .entry-summary -->';
				?>
			</div><!-- .entry-container -->
		</div><!-- .hentry-inner -->
	</article>
<?php
endwhile;

wp_reset_postdata();
