<?php
/**
 * The template for displaying featured content
 *
 * @package Wen_Biz
 */

$wen_biz_enable_content = get_theme_mod( 'wen_biz_featured_content_option', 'disabled' );

if ( ! wen_biz_check_section( $wen_biz_enable_content ) ) {
	// Bail if featured content is disabled.
	return;
}

$wen_biz_title   = get_theme_mod( 'wen_biz_featured_content_title' );
$wen_biz_tagline = get_theme_mod( 'wen_biz_featured_content_tagline' );

$wen_biz_classes[] = 'layout-three';
$wen_biz_classes[] = 'page';
$wen_biz_classes[] = 'section';

if( ! $wen_biz_title && ! $wen_biz_tagline ) {
	$wen_biz_classes[] = 'no-section-heading';
}
?>

<div id="featured-content-section" class="<?php echo esc_attr( implode( ' ', $wen_biz_classes ) ); ?>">
	<div class="wrapper">
		<?php wen_biz_section_heading( $wen_biz_tagline, $wen_biz_title ); ?>

		<div class="section-content-wrapper featured-content-wrapper layout-three">
			<?php
			get_template_part( 'template-parts/featured-content/content-featured' );
			?>
		</div><!-- .section-content-wrap -->
	</div><!-- .wrapper -->
</div><!-- #featured-content-section -->
