<?php
/**
 * The template for displaying portfolio items
 *
 * @package Wen_Biz
 */
?>

<?php
$enable = get_theme_mod( 'wen_biz_portfolio_option', 'disabled' );

if ( ! wen_biz_check_section( $enable ) ) {
	// Bail if portfolio section is disabled.
	return;
}

$wen_biz_tagline = get_theme_mod( 'wen_biz_portfolio_tagline' );
$wen_biz_title   = get_theme_mod( 'wen_biz_portfolio_title', esc_html__( 'Latest Release', 'wen-biz' ) );

$classes[] = 'layout-four';
$classes[] = 'page';
$classes[] = 'section';
$classes[] = 'filter-type-classic';

?>

<div id="portfolio-content-section" class="<?php echo esc_attr( implode( ' ', $classes ) ); ?>">
	<div class="wrapper">
		<?php wen_biz_section_heading( $wen_biz_tagline, $wen_biz_title ); ?>

		<div class="section-content-wrapper portfolio-content-wrapper layout-four">
			<div class="grid">
				<?php
				get_template_part( 'template-parts/portfolio/post-types', 'portfolio' );
				?>
			</div>
		</div><!-- .section-content-wrap -->
	</div><!-- .wrapper -->
</div><!-- #portfolio-section -->
