<?php
/**
 * The template for displaying service content
 *
 * @package Wen_Biz
 */

$wen_biz_enable_content = get_theme_mod( 'wen_biz_service_option', 'disabled' );

if ( ! wen_biz_check_section( $wen_biz_enable_content ) ) {
	// Bail if service content is disabled.
	return;
}

$wen_biz_tagline = get_theme_mod( 'wen_biz_service_tagline' );
$wen_biz_title    = get_theme_mod( 'wen_biz_service_title' );


$wen_biz_classes[] = 'service-section';
$wen_biz_classes[] = 'section';

if ( ! $wen_biz_title && ! $wen_biz_tagline ) {
	$wen_biz_classes[] = 'no-section-heading';
}
?>

<div id="service-section" class="<?php echo esc_attr( implode( ' ', $wen_biz_classes ) ); ?>">
	<div class="wrapper">
		<?php wen_biz_section_heading( $wen_biz_tagline, $wen_biz_title ); ?>

		<?php

		$wrapper_classes[] = 'section-content-wrapper service-content-wrapper';

		$wrapper_classes[] = 'layout-three';
		?>

		<div class="<?php echo esc_attr( implode( ' ', $wrapper_classes ) ); ?>">
			<?php
			get_template_part( 'template-parts/service/content-service' );
			?>

		</div><!-- .section-content-wrapper -->
	</div><!-- .wrapper -->
</div><!-- #service-section -->
