<?php
/**
 * The template used for displaying slider
 *
 * @package Wen_Biz
 */

$wen_biz_quantity              = get_theme_mod( 'wen_biz_slider_number', 4 );
$wen_biz_no_of_post            = 0; // for number of posts
$wen_biz_post_list             = array(); // list of valid post/page ids

$wen_biz_args = array(
	'ignore_sticky_posts' => 1, // ignore sticky posts
);

$wen_biz_args['post_type'] =  'page';

	for ( $i = 1; $i <= $wen_biz_quantity; $i++ ) {
		$wen_biz_id = '';

		$wen_biz_id = get_theme_mod( 'wen_biz_slider_page_' . $i );

		if ( $wen_biz_id && '' !== $wen_biz_id ) {
			$wen_biz_post_list = array_merge( $wen_biz_post_list, array( $wen_biz_id ) );

			$wen_biz_no_of_post++;
		}
	}

	$wen_biz_args['post__in'] = $wen_biz_post_list;
	$wen_biz_args['orderby'] = 'post__in';

if ( ! $wen_biz_no_of_post ) {
	return;
}

$wen_biz_args['posts_per_page'] = $wen_biz_no_of_post;
$wen_biz_loop = new WP_Query( $wen_biz_args );

while ( $wen_biz_loop->have_posts() ) :
	$wen_biz_loop->the_post();

	$wen_biz_classes = 'post post-' . get_the_ID() . ' hentry slides';

	?>
	<article class="<?php echo esc_attr( $wen_biz_classes ); ?>">
		<div class="hentry-inner">
			<?php wen_biz_post_thumbnail( 'wen-biz-slider', 'html', true, true ); ?>

			<div class="entry-container">
				<div class="content-container">
					<header class="entry-header">
						<h2 class="entry-title">
							<a title="<?php the_title_attribute(); ?>" href="<?php the_permalink(); ?>">
								<?php the_title(); ?>
							</a>
						</h2>
					</header>

					<?php
					echo '<div class="entry-summary"><p>' . wp_kses_post( get_the_excerpt() ) . '</p></div><!-- .entry-summary -->';
					?>
				</div> <!--  .content-container  -->
			</div><!-- .entry-container -->
		</div><!-- .hentry-inner -->
	</article><!-- .slides -->
<?php
endwhile;

wp_reset_postdata();
