<?php
/**
 * The template for displaying testimonial items
 *
 * @package Wen_Biz
 */

$wen_biz_enable = get_theme_mod( 'wen_biz_testimonial_option', 'disabled' );

if ( ! wen_biz_check_section( $wen_biz_enable ) ) {
	// Bail if featured content is disabled
	return;
}

$wen_biz_title   = get_theme_mod( 'wen_biz_testimonial_title', esc_html__( 'Testimonials', 'wen-biz' ) );
$wen_biz_tagline = get_theme_mod( 'wen_biz_testimonial_tagline' );

$wen_biz_classes[] = 'section testimonial-content-section';

if ( ! $wen_biz_title && ! $wen_biz_tagline ) {
	$wen_biz_classes[] = 'no-section-heading';
}

$wen_biz_classes[] = 'nav-dots-disabled';


$wen_biz_classes[] = 'style-two';
?>

<div id="testimonial-content-section" class="<?php echo esc_attr( implode( ' ', $wen_biz_classes ) ); ?>">
	<div class="wrapper">

	<?php wen_biz_section_heading( $wen_biz_tagline, $wen_biz_title ); ?>

	<?php
	get_template_part( 'template-parts/testimonial/post-types-testimonial' );
	?>
	</div><!-- .wrapper -->
</div><!-- .testimonial-content-section -->
