<?php
/**
 * The template for displaying testimonial items
 *
 * @package Wen_Biz
 */

$wen_biz_number = get_theme_mod( 'wen_biz_testimonial_number', 5 );

if ( ! $wen_biz_number ) {
	// If number is 0, then this section is disabled
	return;
}
?>

<div class="section-content-wrapper testimonial-content-wrapper testimonial-slider owl-carousel">
	<?php
		$wen_biz_loop = new WP_Query( wen_biz_testimonial_posts_args() );

		if ( $wen_biz_loop -> have_posts() ) :
			while ( $wen_biz_loop -> have_posts() ) :
				$wen_biz_loop -> the_post(); ?>

				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="hentry-inner">
						<div class="entry-container">
							<div class="entry-content">
								<?php the_excerpt(); ?>
							</div>
							<?php
							$position = get_theme_mod('wen_biz_testimonial_position_' . ( absint ( $wen_biz_loop->current_post ) + 1 ) ); ?>

							<div class="author-thumb">
								<?php if ( has_post_thumbnail() ) : ?>
									<?php wen_biz_post_thumbnail( array( 86, 86 ), 'html', true ); ?>
					   			<?php endif; ?>
		
								<header class="entry-header">
									<h2 class="entry-title"><a href=<?php the_permalink();?>>
										<?php the_title(); ?></a>
									</h2> 
									<?php if ( $position ) : ?>
										<div class="entry-meta"><span class="position">
											<?php echo esc_html( $position ); ?></span>
										</div>
									<?php endif; ?>
								</header>
							</div> <!-- .author-thumb -->
						</div><!-- .entry-container -->
					</div><!-- .hentry-inner -->
				</article>
			<?php endwhile;
			wp_reset_postdata();
		endif;
	?>
</div><!-- .section-content-wrapper -->

